// 底层库: antd vxe-table
// import { Select, Upload } from 'ant-design-vue';
import Select from 'ant-design-vue/es/select'
import Upload from 'ant-design-vue/es/upload'

import 'xe-utils';
import 'sortablejs';
import VXETable from 'vxe-table';

// fly库
import DataTable from './packages/data-table';
import EnumSelector from './packages/enum-selector';
import Picker from './packages/picker';
import FileUpload from './packages/fileupload';
import flyUpload from './packages/upload';
import Chart from './packages/chart';

const components = {
  flyDataTable: DataTable,
  flyEnumSelector: EnumSelector,
  flyPicker: Picker,
  flyFileUpload: FileUpload,
  flyUpload: flyUpload,
  flyChart: Chart
};

const install = function(Vue, options = {}) {
  Vue.use(VXETable);
  Vue.use(Select);
  Vue.use(Upload);

  Object.keys(components).forEach(key => {
    Vue.component(key, components[key]);
  });

  if (options.axios) {
    Vue.prototype.$axios = options.axios;
  }
};

export default install;
